<?php
// Incluir la configuración de la conexión
include('../config/conexion.php');

// Verificar conexión
if ($conexion->connect_error) {
    die("Conexión fallida: " . $conexion->connect_error);
}

// Verificar si se recibió una solicitud GET con el id de la sección
if (isset($_GET['idplan'])) {
    $idplan = intval($_GET['idplan']);

    // Preparar y ejecutar la eliminación
    $stmt = $conexion->prepare("DELETE FROM plan WHERE idplan = ?");
    $stmt->bind_param("i", $idplan);
    
    if ($stmt->execute()) {
        // Redirigir después de la eliminación exitosa
        header("Location: ../inicioplan.php?message=Plan eliminada correctamente.&type=success");
        exit(); // Terminar el script después de redirigir
    } else {
        echo "Error al eliminar: " . $stmt->error;
    }

    // Cerrar la declaración
    $stmt->close();
} else {
    echo "ID de plan no válido.";
}

// Cerrar la conexión
$conexion->close();
?>
